Package com.collibra.dgc.core.api.model.meta.path

# Interface PathNodeFilter

All Superinterfaces:
  `HasToRequest<PathNodeFilterRequest>`, `Serializable`

public interface PathNodeFilter extends HasToRequest<PathNodeFilterRequest>, Serializable
Represents a filter that can be applied to nodes in a path. This filter supports various criteria including asset types, status, tags, dates, and attributes. At least one property must be specified (minProperties = 1).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PathNodeFilter>`
  `getAnd()`
  Returns the AND filter list.
  `ResourceFilter`
  `getAsset()`
  Returns the asset filter.
  `BooleanAttributeCollectionFilter`
  `getBooleanAttributes()`
  Returns the boolean attributes filter.
  `CommunityCollectionFilter`
  `getCommunities()`
  Returns the communities filter.
  `DateFilter`
  `getCreatedOn()`
  Returns the created on date filter.
  `DateAttributeCollectionFilter`
  `getDateAttributes()`
  Returns the date attributes filter.
  `ResourceFilter`
  `getDomain()`
  Returns the domain filter.
  `MetaResourceFilter`
  `getDomainType()`
  Returns the domain type filter.
  `RelationCollectionFilter`
  `getIncomingRelations()`
  Returns the incoming relations filter.
  `DateFilter`
  `getLastModifiedOn()`
  Returns the last modified on date filter.
  `NumericAttributeCollectionFilter`
  `getNumericAttributes()`
  Returns the numeric attributes filter.
  `List<PathNodeFilter>`
  `getOr()`
  Returns the OR filter list.
  `RelationCollectionFilter`
  `getOutgoingRelations()`
  Returns the outgoing relations filter.
  `ResourceExistsFilter`
  `getResponsibilityRoles()`
  Returns the responsibility roles filter.
  `ResourceFilter`
  `getStatus()`
  Returns the status filter.
  `StringAttributeCollectionFilter`
  `getStringAttributes()`
  Returns the string attributes filter.
  `TagCollectionFilter`
  `getTags()`
  Returns the tags filter.
  `MetaResourceFilter`
  `getType()`
  Returns the type (i.e.

  ### Methods inherited from interface HasToRequest

  `toRequest`

- ## Method Details

  - ### getAnd

    List<PathNodeFilter> getAnd()
    Returns the AND filter list. All filters in this list must match.
    Returns:
      the AND filter list, or null if not specified

  - ### getOr

    List<PathNodeFilter> getOr()
    Returns the OR filter list. At least one filter in this list must match.
    Returns:
      the OR filter list, or null if not specified

  - ### getType

    MetaResourceFilter getType()
    Returns the type (i.e. asset type or trait) filter.
    Returns:
      the type filter, or null if not specified

  - ### getStatus

    ResourceFilter getStatus()
    Returns the status filter.
    Returns:
      the status filter, or null if not specified

  - ### getTags

    TagCollectionFilter getTags()
    Returns the tags filter.
    Returns:
      the tags filter, or null if not specified

  - ### getCreatedOn

    DateFilter getCreatedOn()
    Returns the created on date filter.
    Returns:
      the created on date filter, or null if not specified

  - ### getLastModifiedOn

    DateFilter getLastModifiedOn()
    Returns the last modified on date filter.
    Returns:
      the last modified on date filter, or null if not specified

  - ### getStringAttributes

    StringAttributeCollectionFilter getStringAttributes()
    Returns the string attributes filter.
    Returns:
      the string attributes filter, or null if not specified

  - ### getNumericAttributes

    NumericAttributeCollectionFilter getNumericAttributes()
    Returns the numeric attributes filter.
    Returns:
      the numeric attributes filter, or null if not specified

  - ### getBooleanAttributes

    BooleanAttributeCollectionFilter getBooleanAttributes()
    Returns the boolean attributes filter.
    Returns:
      the boolean attributes filter, or null if not specified

  - ### getDateAttributes

    DateAttributeCollectionFilter getDateAttributes()
    Returns the date attributes filter.
    Returns:
      the date attributes filter, or null if not specified

  - ### getIncomingRelations

    RelationCollectionFilter getIncomingRelations()
    Returns the incoming relations filter.
    Returns:
      the incoming relations filter, or null if not specified

  - ### getOutgoingRelations

    RelationCollectionFilter getOutgoingRelations()
    Returns the outgoing relations filter.
    Returns:
      the outgoing relations filter, or null if not specified

  - ### getResponsibilityRoles

    ResourceExistsFilter getResponsibilityRoles()
    Returns the responsibility roles filter.
    Returns:
      the responsibility roles filter, or null if not specified

  - ### getAsset

    ResourceFilter getAsset()
    Returns the asset filter.
    Returns:
      the asset filter, or null if not specified

  - ### getDomain

    ResourceFilter getDomain()
    Returns the domain filter.
    Returns:
      the domain filter, or null if not specified

  - ### getCommunities

    CommunityCollectionFilter getCommunities()
    Returns the communities filter.
    Returns:
      the communities filter, or null if not specified

  - ### getDomainType

    MetaResourceFilter getDomainType()
    Returns the domain type filter.
    Returns:
      the domain type filter, or null if not specified